[Beowulf] do lam and mpich go together

Brian Macy bkmacy at dali.ppco.com
Fri Jan 16 09:58:59 EST 2004


beowulf-request at scyld.com wrote:

>Message: 12
>Date: Fri, 16 Jan 2004 05:16:48 -0800 (PST)
>From: prakash borade <hpcatcnc at yahoo.com>
>To: beowulf at beowulf.org
>Subject: [Beowulf] do lam and mpich go together
>
>
>hello everybody
>
>can anybody help me to solve mt problem
>i have tried mpich-1.2.5.2 implimentation of mpi
>
>but i get the foll error for mpirun
>do we req lam environment for mpirun  comand
>acc to my knowld it is req for lam/mpi implementation
>of mpi
>can any body send me the link or doc for perfect
>instalation of mpich-1.2.5.2 on cluster of 3 machine
>with red hat 9.0
>
>
>
>[mpich at tung /]$ mpirun -np 4 cpilog
>-----------------------------------------------------------------------------
>It seems that there is no lamd running on this host,
>which indicates
>that the LAM/MPI runtime environment is not operating.
> The LAM/MPI
>runtime environment is necessary for the "mpirun"
>command.
> 
>Please run the "lamboot" command the start the LAM/MPI
>runtime
>environment.  See the LAM/MPI documentation for how to
>invoke
>"lamboot" across multiple machines.
>-----------------------------------------------------------------------------
>
>  
>

Prakash,

It looks like you have LAM installed as well, and that you're picking up 
the mpirun from LAM instead of MPICH.  Do a "which mpirun" to see where 
mpirun lives.  You could provide the full path to mpirun for MPICH to 
ensure you're getting the right one; e.g.,

/usr/local/mpich-1.2.5.2/bin/mpirun -np 4 cpilog

HTH,

Brian


_______________________________________________
Beowulf mailing list, Beowulf at beowulf.org
To change your subscription (digest mode or unsubscribe) visit http://www.beowulf.org/mailman/listinfo/beowulf



More information about the Beowulf mailing list